using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Syncfusion.SfDataGrid;
using System.Threading.Tasks;
using System.Net.Http;

namespace DataGridInsideFragment
{
    public class CustomFragment:Fragment
    {
        SfDataGrid sfDataGrid;
        ViewModel viewModel;
        public bool LoadButton { get; set; }
        public CustomFragment(Context context)
        {
            sfDataGrid = new SfDataGrid(context);
            viewModel = new ViewModel();
        }

        public override View OnCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState)
        {
            base.OnCreateView(inflater, container, savedInstanceState);
            var view = inflater.Inflate(Resource.Layout.FragmentLayout, container, false);
            FrameLayout layout = view.FindViewById<FrameLayout>(Resource.Id.frameLayout);
            if(LoadButton)
            {
                var buttone = new Button(layout.Context);
                buttone.SetBackgroundColor(Android.Graphics.Color.Red);
                buttone.Text = "Hello";
                buttone.SetHeight(100);
                buttone.SetWidth(200);
                layout.AddView(buttone);
            }
            else
            {
                sfDataGrid.ItemsSource = viewModel.OrdersInfo;
                sfDataGrid.AutoGenerateColumns = true;
                sfDataGrid.ColumnSizer = ColumnSizer.Star;
                layout.AddView(sfDataGrid);
            }

            return view;
        }
        public override void OnDestroy()
        {
            base.OnDestroy();
        }
        public override void OnDestroyView()
        {
            base.OnDestroyView();
        }
    }
}